Bug 1194948 - gnome-initial-setup fails to start after Fedora 22 Workstation 2015-02-18 install
Summary: gnome-initial-setup fails to start after Fedora 22 Workstation 2015-02-18 ins...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 22
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F22AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2015-02-21 01:25 UTC by Adam Williamson
Modified: 2015-08-24 06:47 UTC (History)
7 users (show)

Fixed In Version: gdm-3.15.91-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-03 04:20:23 UTC
Type: Bug


Attachments (Terms of Use)
full journal log from an affected boot (216.07 KB, text/plain)
2015-02-21 01:27 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2015-02-21 01:25:59 UTC
To reproduce: install https://kojipkgs.fedoraproject.org/work/tasks/741/8980741/Fedora-Live-Workstation-x86_64-22-20150218.iso , not creating a user account during install. Boot the installed system. See a black screen.

From a runlevel 3 boot or just ctrl-alt-f2 you can see that there seems to be some issue between gnome-session and the X server(?):

Feb 20 17:16:39 localhost.localdomain NetworkManager[763]: <info>  (virbr0-nic): link disconnected (deferring action for 4 seconds)
Feb 20 17:16:39 localhost.localdomain nm-dispatcher[1105]: Dispatching action 'up' for virbr0-nic
Feb 20 17:16:39 localhost.localdomain systemd[1]: Unit iscsi.service cannot be reloaded because it is inactive.
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: No protocol specified
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: ** (gnome-session-check-accelerated:1281): WARNING **: Could not open X display
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: No protocol specified
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: Unable to init server: Could not connect: Connection refused
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: (gnome-session-check-accelerated:1281): Gtk-WARNING **: cannot open display: :0
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: No protocol specified
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: ** (gnome-session-check-accelerated:1282): WARNING **: Could not open X display
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: No protocol specified
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: Unable to init server: Could not connect: Connection refused
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: (gnome-session-check-accelerated:1282): Gtk-WARNING **: cannot open display: :0
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: gnome-session[1209]: WARNING: software acceleration check failed: Child process exited with code 1
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: WARNING: software acceleration check failed: Child process exited with code 1
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: No protocol specified
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: ** (gnome-session-failed:1284): WARNING **: Could not open X display
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: No protocol specified
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: Unable to init server: Could not connect: Connection refused
Feb 20 17:16:39 localhost.localdomain gnome-session[1209]: ** (gnome-session-failed:1284): WARNING **: Cannot open display:
Feb 20 17:16:43 localhost.localdomain NetworkManager[763]: <info>  (virbr0-nic): link disconnected (calling deferred action)
Feb 20 17:16:49 localhost.localdomain unknown[1]: <audit-1131> pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb 20 17:17:01 localhost.localdomain NetworkManager[763]: <info>  (ens3): Activation: Stage 4 of 5 (IPv6 Configure Timeout) scheduled...

the bug persists even if you update to the current F22 package set.

This is an apparent Alpha release blocker:

"A working mechanism to create a user account must be clearly presented during installation and/or first boot of the installed system.

A system installed with a release-blocking desktop must boot to a log in screen where it is possible to log in to a working desktop using a user account created during installation or a 'first boot' utility."

https://fedoraproject.org/wiki/Fedora_22_Alpha_Release_Criteria#Expected_installed_system_boot_behavior

Comment 1 Adam Williamson 2015-02-21 01:27:29 UTC
Created attachment 994071 [details]
full journal log from an affected boot

Comment 2 Adam Williamson 2015-02-21 02:11:10 UTC
This does seem limited to the pre-GDM, user-creating version of g-i-s, because if I create a user in anaconda, the installed system boots successfully to GDM and subsequently successfully launches the user's session.

Comment 3 Ray Strode [halfline] 2015-02-21 07:06:22 UTC
This is the xserver bug I was telling you about a couple of days ago on irc.  Dave commited a fix, but gcc5 ICEs so we can't get the fix into the compose. there's a thread on fedora-devel-list about it.

Still, I'm firing off a build now to see if the gcc problem has resolved itself since the 17th when Dave did his build attempts.

Actually, though, yesterday I changed the way we launch X servers from GDM (as part of the wayland work), and a side effect of that work is that we don't depend on the functionality that was broken in the X server anymore, anyway.  So this bug should be resolved one way or another going forward.

Comment 4 Ray Strode [halfline] 2015-02-22 01:38:10 UTC
The xserver build succeeded,, but the new GDM code I alluded to in comment 3 actually broke launching gnome-initial-setup.

I'm going to co-opt this bug for that problem.

Comment 5 Adam Williamson 2015-02-22 01:44:48 UTC
by all means co-opt whatever you darn well please if it means things will get fixed ;)

Comment 6 Dan Mossor [danofsatx] 2015-02-23 17:56:35 UTC
Discussed at today's blocker review meeting [1].

AcceptedBlocker Alpha - This bug is a clear violation of the Alpha criterion: "A system installed with a release-blocking desktop must boot to a log in screen where it is possible to log in to a working desktop using a user account created during installation or a 'first boot' utility."

http://meetbot.fedoraproject.org/fedora-blocker-review/2015-02-23/

Comment 7 Ray Strode [halfline] 2015-02-25 03:17:41 UTC
I think this should be square now

Comment 8 Adam Williamson 2015-02-25 03:22:04 UTC
Can you please submit an update for it? Bodhi is now active for F22. Thanks!

Comment 9 Fedora Update System 2015-02-25 05:17:08 UTC
gdm-3.15.90.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gdm-3.15.90.5-1.fc22

Comment 10 Fedora Update System 2015-02-25 15:15:19 UTC
Package gdm-3.15.90.5-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdm-3.15.90.5-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2550/gdm-3.15.90.5-1.fc22
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-02-27 23:49:38 UTC
gdm-3.15.91-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gdm-3.15.91-1.fc22

Comment 12 Fedora Update System 2015-03-03 04:20:23 UTC
gdm-3.15.91-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.